[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_dims' (#crwlib)

# TDisCmndService

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_dims.pas line 91

`type TDisCmndService = class(TDisBaseService)`
`protected`
`FCmndGot: Cardinal;`
`FOnCmndGot: TOnDisCmndGot;`
`FOnCmndTake: TOnDisCmndTake;`
`function GetCmndGot;`
`procedure SetCmndGot();`
`function GetOnCmndGot;`
`procedure SetOnCmndGot();`
`function GetOnCmndTake;`
`procedure SetOnCmndTake();`
`procedure OnStop; override;`
`procedure OnStart; override;`
`public`
`property CmndGot: Cardinal; [rw]`
`property OnCmndGot: TOnDisCmndGot; [rw]`
`property OnCmndTake: TOnDisCmndTake; [rw]`
`constructor Create();`
`procedure AfterConstruction; override;`
`procedure BeforeDestruction; override;`
`destructor Destroy; override;`
`end;`

## Inheritance

`TDisCmndService`
`TDisBaseService`
`TDimService`
`TMasterObject`
`TObject`